import javax.swing.*;
import java.awt.Graphics;
import java.awt.*;
import java.awt.event.*;

public class cizgi extends JFrame
{
 String isim;
 
 public cizgi(String a)
 {
 super(a);	 
 isim=JOptionPane.showInputDialog("isminizi giriniz : ");
 }

 public void paint(Graphics g)
 {
 g.setFont(new Font("Serif",Font.BOLD,24));	 
 g.setColor(Color.blue);	 
 g.drawLine(50,50,100,100);
 }
    public static void main(String s[])
    {
        cizgi f = new cizgi("cigi cizme programę");
        f.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        });
        f.setSize(800,500);
        f.setVisible(true);        
    }
}

